/* Pomocna knihovna pro zpozdeni o us v systemu RTOS ktery ma mnohem delsi prepinaci periodu */

#include <stdint.h>
#include "delay.h"

void _delay_us(uint32_t nTick)
{
  nTick = nTick*6;
  for(; nTick != 0; nTick--)
  {};
}

void _delay_ms(uint16_t nTick)
{
	for(; nTick != 0; nTick--)
	{
		_delay_us(990);
	}
}
/* Konec souboru */
